from django.contrib import admin
from django.contrib.auth.admin import UserAdmin
from .models import Payment, Route, Ticket, User, Transportasi

class CustomUserAdmin(UserAdmin):
    list_display = ('username', 'email', 'is_superuser', 'birthdate', 'phone_number', 'blog_url', 'transportasi', 'bio')
    
    fieldsets = UserAdmin.fieldsets + (
        ('Additional Info', {
            'fields': ('birthdate', 'phone_number', 'blog_url', 'transportasi', 'bio'),
        }),
    )

admin.site.register(User, CustomUserAdmin)
admin.site.register(Transportasi)
admin.site.register(Route)
admin.site.register(Ticket)
admin.site.register(Payment)
